> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/apps/themes/cascading-style-sheets.md).

# Kaskadetypografiark

Tilføj brugerdefinerede CSS-typografiark til PowerShell Universal-dashboards via publicerede mapper og parameteren Stylesheets for at tilsidesætte Material UI-klasser.

De kan bruge et overlappende typografiark (CSS) ved at tilføje en `.css`-fil til en publiceret mappe og derefter sende den til parameteren `-Stylesheets` for `New-UDDashboard`.

For eksempel ville filen `dashboard.ps1` se sådan ud.

```powershell
New-UDDashboard -Title "Server Monitor" -Content {

} -Stylesheets @("/assets/theme.css")
```

De kan derefter opsætte en publiceret mappe for at levere ruten til aktiverne. Sådan vil indholdet af `publishedFolders.ps1` se ud.

```powershell
New-PSUPublishedFolder -RequestPath "/assets" -Path "C:\assets"
```

I mappen `C:\assets` kan De placere alle aktiver, som De ønsker at få adgang til, på ruten `/assets`.

De kan derefter oprette et stylesheet for at manipulere en hvilken som helst del af dashboardet, De ønsker.

```css
.ud-dashboard > div {
    background-image: url("/assets/image.jpeg");
}
```

Dette giver et dashboard med et baggrundsbillede af hunden Austin, der sover i en bunke jord.

## Bestemmelse af de korrekte klassenavne

Hver Material UI-komponent har en række globale klassenavne, som De kan bruge til at anvende typografier i hele Deres dashboard. For at bestemme de korrekte klassenavne kan De se API-dokumentationen for en bestemt komponent. Der findes en liste over de globale klassenavne, der gælder for den pågældende komponent.

Her er f.eks. [CSS-dokumentationen til komponenten Alert](https://material-ui.com/api/alert/#css).

I Deres CSS-fil kan De bruge disse klassenavne til at tilsidesætte typografier i hele Deres dashboard. Hvis De ville angive, at alle success-advarsler skal have en rød baggrund, kunne De oprette en CSS-fil som denne.

```css
.MuiAlert-standardSuccess { background-color: red !important;  }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/apps/themes/cascading-style-sheets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
